deprecated
Create a subject (legacy Courses API)
Deprecated: use POST /apis/subjects/subjects, which also accepts the subject's custom fields.
Headers
- Type: stringX
- A P I - Version requiredAPI version this request targets, for example "2026-01-26".
Body
required
application/json
- Properties: 4Type: objectcourserequired
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/courses/courses
curl https://ff-business-school.fullfabric.cloud/apis/courses/courses \
--request POST \
--header 'X-API-Version: 2026-01-26' \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"course": {
"code": "DS401",
"name": "Data Science & AI",
"external_id": "DS-401"
}
}'
{
"id": "69e0a83b9a52af33ee4f20ca",
"external_id": "DS-401",
"code": "DS401",
"name": "Data Science & AI",
"theme": null
}